Authorization: ********************curl --location --request PUT 'https://test.your-api-server.com/api/auth/user/639ff091b2e1ef1f89083564' \
--header 'x-token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOiI2MzlmZjA5MWIyZTFlZjFmODkwODM1NjQiLCJpYXQiOjE2NzE0MjYzMDYsImV4cCI6MTY3MTQ0MDcwNn0.pjE68re3Q5GB4-DQNeloM01Ttg72-7_qzIe_MeDI_0o' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"role":"63968609e506f0dcdec0d212"
}'{
"msg": "Datos de usuario actualizados",
"userUpdated": {
"username": "JC99",
"name": "JORGE",
"middleName": "LUIS",
"firstSurname": "CANTILLO",
"secondSurname": "CORREA",
"nit": "1143153936",
"email": "J@GMAIL.COM",
"status": true,
"createdAt": "2022-12-13T00:23:27.727Z",
"updatedAt": "2022-12-19T05:07:12.259Z",
"typeDocument": "CC",
"role": "6397bb6fa1335086b3da7c69",
"mobile": "1234567890",
"uid": "6397c5ffa1335086b3da7c79"
}
}